;   Function to insert and properly rotate a valve or other
;   object on a "pipe" and to break the line to the proper
;   size.
;
;   Parameters passed are name of block to be inserted and the
;   size of the break in the line, and the scale factor.
;
;   Eliot Shanabrook & John Intorcio   6/11/86
;
;         (breakl "Gate" 0.375 0.5)
;
;   Which would insert a block called GATE which is normally
;   0.375" long at a scale of 0.5.
;

(defun BREAKL (name size scale)
   (setvar "CMDECHO" 0)
   (setq apsave (getvar "aperture"))
   (setq pt3 nil)
   (command "aperture" 5)
   (terpri)
   (setq pti (getpoint "Insertion point:"))
   (command "snap" off)
   (setq pt1 (polar pti 0 0.125))
   (setq pt3 (osnap pt1 "nea"))
   (if (= pt3 nil) (setq ang1 (/ pi 2)) (setq ang1 0)) 
   (setq pt5 (polar pti ang1 (* size scale)))
   (command "break" pti pt5)
   (setq ang2 (*(/ ang1 (/ pi 2)) 90))
   (command "insert" name pti scale scale ang2)
   (setvar "aperture" apsave)
)
- - - - - - AUTOLIS